0
votes
0answers
10 views

Issues with python-pip and speedtest-cli

dpkg: error processing python-pkg-resources (--configure): subprocess installed post-installation script returned error exit status 137 dpkg: dependency problems prevent configuration of ...
0
votes
0answers
56 views

Unmet dependency issue installing libmapnik

I'm trying to install CartoDB, and have run into the dreaded "you may have requested an impossible situation" message: $ sudo apt-get install -y libmapnik-dev python-mapnik mapnik-utils Reading ...
3
votes
1answer
92 views

gedit 'broken' after update on Ubuntu 13.10

I have upgraded from Ubuntu 12.10 to 13.10. In the meanwhile I have removed the Enthought Python distribution manually because I want to start back on the 'official' packages. So I removed the python ...
0
votes
1answer
116 views

Python urlopen function raises an error when an https site is given as input [duplicate]

Please don't mark the question as a duplicate. I have gone through every possibility, but I didn't find an answer. I use Ubuntu 12.04(LTS) Python urlopen function raises this error message when an ...
0
votes
2answers
61 views

How do I get a non-standard non-repo version of python under package management?

For any number of reasons, I need a python version that isn't in mainline repositories. Where should I look? In my particular case I want 3.4 alpha/beta, but where should I look for non-standard ...
0
votes
1answer
147 views

Problem with kivy installation

I'm trying to install the kivy framework. But first I need to install these packages: python-setuptools python-pygame python-opengl python-gst0.10 python-enchant gstreamer0.10-plugins-good python-dev ...
0
votes
1answer
158 views

Installing both lxml 3.1.2 and lxml2 on ubuntu 12.04

I asked this on SO: http://stackoverflow.com/questions/19852911/lxml-3-1-2-and-lxml2-both-on-ubuntu/19856674#19856674 But it is perhaps more appropriate for AskUbuntu. So here it is again, ...
0
votes
0answers
15 views

Software Center crashes. Please help! [duplicate]

There is a problem opening the Ubuntu Software Center, It pops up and seems to be loading and just crashes. Here is the output of running the command: software-center in the terminal: 2013-10-15 ...
1
vote
1answer
530 views

Can't install python-dev. Packages have unmet dependencies. I think it's a wrong Python version

root@Managementserver:~# sudo apt-get install python-pip python-dev build-essential -y Reading package lists... Done Building dependency tree Reading state information... Done build-essential ...
1
vote
2answers
353 views

After PIP install --upgrade Dpkg still lists old python packages

I recently upgraded all python data analysis tools using pip. When I do dpkg -l |grep python I see the old version numbers of the software I just upgraded via pip. How can I ensure that the dpkg ...
0
votes
1answer
78 views

preventing pip from removing system packages during upgrade

I have a fairly straightforward Ubuntu (13.04) desktop installation, which comes complete with several Ubuntu-packaged Python utilities -- these live in /usr/lib/python2.7 and are owned by root. I ...
4
votes
1answer
1k views

Broken dependencies after upgrade

After an apt-get upgrade I got the following error: Reading package lists... Done Building dependency tree Reading state information... Done 0 upgraded, 0 newly installed, 0 to remove and 0 not ...
1
vote
0answers
77 views

Dotdeb alternatives for Ruby or Python?

I really like Dotdeb, but it doesn't include packages for Ruby and Python. While I could build my own repository, I wouldn't want to reinvent the wheel (and then be forced to drive). Are there any ...
17
votes
2answers
9k views

How to set up and use a virtual python environment in Ubuntu?

Python virtual environments are used to create isolated python environments to avoid dependency and version conflicts, and also indirectly takes care of permission issues. But what is the easiest way ...
0
votes
1answer
18 views

error log for papercut crash

it looks like papercut is causing some problems after an upgrade: Where is this log located?
5
votes
3answers
13k views

How do I detect and remove Python packages installed via pip?

I have accidently installed Python packages to my system using pip instead of apt-get. I did this in two ways: using an older version of virtualenv, I forgot to append --no-site-packages when ...
1
vote
1answer
824 views

Virtual Packages ; offline installation problem

I have a problem with offline installation of a package. For instance; python-qt4 module requires sip-api-8.1 but it is a virtual package, hence there is no .deb file to install. How can I fix this ...
0
votes
2answers
383 views

Can I reinstall my site Python distribution?

I messed up some core packages in my Python distribution, probably through some failed easy_install commands. Is there any way in Ubuntu to blow away the site's Python installation and re-install it ...
2
votes
1answer
818 views

Where is libpython-dev?

I've just upgraded to 12.04 and I can't find libpython-dev anymore. Can you tell me where it is?
4
votes
1answer
2k views

How to update ubuntu's python with latest version from source?

I'm using Ubuntu 11.10. The python 2.7.2 provided has a bug that has been corrected in the latest 2.7.2 sources from the python repository. What is the recommended way to replace the ubuntu provided ...
2
votes
3answers
457 views

How can I install python-envisage?

My question is about how I can install Ubuntu 11.10 packages on Ubuntu 10.04. I would like to install python-envisage (4.0.1), but in the Ubuntu 10.04 Software Center there is only python envisage ...
3
votes
2answers
215 views

How to use stdeb with Launchpad?

I know that launchpad has the policy of only allowing upload of source packages on PPA's (as also explained here). Yet, a python .deb package has all the source in it and it seems silly that one ...
2
votes
1answer
91 views

What files can I delete to avoid repeating the Python libraries?

I installed SAGE mathematics from binary because there was no package for it in synaptic. From reading on the web I learned that SAGE brings its own python libraries rather than using the ones Ubuntu ...
1
vote
2answers
565 views

How can I correctly install multiple non-package Distribute/virtualenv/pip ecosystems on Ubuntu?

I am developing Python applications in Ubuntu. I want to setup a Distribute/virtualenv/pip ecosystem to manage my Python packages independently of any system Python packages (which I manage in ...
1
vote
1answer
1k views

How do I update virtualenv?

I have installed python-virtualenv version 1.4.9 and the latest version is 1.6.1. How do I update to version 1.6.1. Do I have to uninstall version 1.4.9? If so, how do I uninstall it? (Crossposted ...
2
votes
1answer
559 views

What's the difference between python-minimal and python-all?

Basically the question. I need to setup an environment that supports tkinter programming in python and maybe some network socket stuff too. I'd also like to emphasize that I need python 3.
12
votes
3answers
4k views

How can I install numpy on Python 3.1?

I have Ubuntu 10.10 server on EC2. I installed Python 3.1, and now I want to install NumPy on it. How do I do it? I tried easy_install-3.1 numpy but got this error: RefactoringTool: Refactored ...
5
votes
2answers
226 views

Drag forward installed Python packages when upgrading

As somebody who runs multiple webservers each running a set of Django sites, keeping on top of my Python stack is very important. Out of (probably bad) habit, I rely on Ubuntu for a number of my ...